A Linux package manager, originally developed for the Arch Linux distribution.

learn more… | top users | synonyms

0
votes
2answers
1k views

Arch Linux failed to install libproxy for invalid signature

The following message is from my terminal: resolving dependencies... looking for inter-conflicts... Targets (1): libproxy-0.4.7-2 Total Installed Size: 0.29 MiB Proceed with installation? [Y/n] ...
3
votes
1answer
113 views

How to restrict access to an Arch package repository?

I have created a custom package repository for Arch Linux that holds packages that for various proprietary licensing reasons cannot be shared widely. Ideally I would like to make the repository ...
2
votes
1answer
150 views

Pacman(Arch linux) on LFS

Is it possible to have a package manager(in my case pacman) on LFS? Not just compiling it will it work?
1
vote
1answer
89 views

Efficiently running arch's makepkg on git master (frequent but “small” changes)

On arch, when using makepkg to build a pacman-installable .pkg.tar.xz file from source... If it's an AUR "-git" source rather than an upstream release, is there a way to (after the first makepkg) do a ...
0
votes
1answer
352 views

Setting up Arch Linux stuck in pacstrap

So when i run the command pacstrap /mnt base base-devel i get stuck at (0/140) checking keys in keyring [------------------------------] 0% I have internet connection but i don't know where the ...
-2
votes
1answer
30 views

how to extract package-links from pacman[Solved]

I have a slow internet connection,and need to extract packages from pacman so that I can remotely upload them and get them from my work. Do you know any way to do that?
2
votes
0answers
24 views

Why does pacman stop when I freeze the output with ctrl+s

I sometimes use ctrl+s to send an XOFF signal to freeze the output of a program without stopping the program itself. However, pacman, unlike most other programs, stops as if you had pressed ctrl+z. It ...
2
votes
0answers
504 views

Arch Linux - make: error while loading shared libraries: libunistring

I keep getting this same error when trying to install various packages: make: error while loading shared libraries: libunistring.so.0: cannot open shared object file: No such file or directory It's ...
1
vote
0answers
26 views

Pacman add-repo error, is not a package file

I'm using archlinuxarm, armv7h architecture I'm trying to use add-repo but it gives me the following error: $ repo-add test.db.tar.gz dep/python2-numpy-1.9.2-2-armv7h.pkg.tar.xz ==> ERROR: ...
1
vote
0answers
199 views

Reinstall Arch Linux without losing downloaded packages

I was installing Arch Linux when the Internet went down. I was unable to download all the required packages. Over 70% of packages were downloaded. I'm trying to reinstall it with the command: ...
1
vote
0answers
172 views

Pacman Package manager in LFS

I'm trying to install a Linux From Scratch system. I know LFS doesn't come with a package manager. I want to use pacman as my package manager. I googled bout it and found some links bt they are old, ...
1
vote
0answers
686 views

Having trouble using pantheon-greeter-bzr and pantheon-session-bzr on virtualbox with ArchLinux

I am trying to test ArchLinux with Pantheon on a VM on VirtualBox. I am able to install ArchLinux and pacman -S the following packages succesfuly: xorg-server xorg-server-utils ...
1
vote
0answers
780 views

Convert pacman package to deb or rpm?

Given a pacman package (.pkg.tar.xz), is there a tool to convert it to a deb or rpm package? In other words, I'm looking for an equivalent to alien. So far, I got the impression that such a tool does ...
0
votes
0answers
20 views

Install 32 Bit Application on 64 Bit Arch Linux

I have an ancient openoffice plugin which requires the 32bit version of openoffice/libreoffice and does not work with the 64 bit version. So I would like to know, if there is any way to install the ...
0
votes
0answers
28 views

Cannot login after pacman -Syu

A few days ago Chromium complained about wanting to be updated. I performed the following series of commands, deciding to upgrade Python for kicks. pacman -Syy pacman -S chromium pacman -S python I ...
0
votes
0answers
5 views

Pacman select older application version from repo containing multiple

I'm installing Catalyst on my Antergos install, and because I have a slightly old(er) card (Redwood XT based FirePro v4800) I can't use the latest and greatest version. The repo maintained by VI0L0 ...
0
votes
0answers
36 views

How do I circumvent or gain root priviliges for pacman with PyDev?

I have downloaded and forked a project that I like to tinker with in Eclipse using PyDev. However, this project makes use of the package manager pacman that installs and uninstalls packages and needs ...
0
votes
0answers
411 views

How to downgrade VirtualBox after a kernel upgrade to 4.1.4-1?

I run Arch Linux and did a complete pacman sync and upgrade of my entire system. One of the updates was a kernel upgrade that I am happy with and had no other problems with. One of the packages that ...
0
votes
0answers
478 views

Pacman can’t resolve dependencies: Archbang

I tried installing the latest Firefox (and other browsers like Palemoon) and was suggested to first use pacman -S --needed base-devel but got target not found:base-devel. Then I was informed by ...
0
votes
0answers
2k views

Arch Linux: “error: failed to commit transaction (conflicting files)”

I'm trying to install an Arch system, and every time I run pacstrap /mnt base base-devel I get error: failed to commit transaction (conflicting files) filesystem: /mnt/lib exists in filesystem ==> ...